/* Estilos personalizados para la invitación */

:root {
    --font-serif: 'MonteCarlo', cursive;
    --font-sans: 'Delius', sans-serif;
    --rosegold: #B76E79;
}

.font-serif {
    font-family: var(--font-serif);
}

.font-sans {
    font-family: var(--font-sans);
}

/* Animaciones de aparición (Reveal) */
.reveal {
    position: relative;
    transform: translateY(30px);
    opacity: 0;
    transition: all 1s ease-out;
}

.reveal.active {
    transform: translateY(0);
    opacity: 1;
}

.reveal-delay {
    position: relative;
    transform: scale(0.95);
    opacity: 0;
    transition: all 0.8s ease-out;
}

.reveal-delay.active {
    transform: scale(1);
    opacity: 1;
}

/* Ajustes de scroll suave */
html {
    scroll-behavior: smooth;
}

/* Estilos para la corona */
.drop-shadow-md {
    filter: drop-shadow(0 4px 3px rgb(0 0 0 / 0.07)) drop-shadow(0 2px 2px rgb(0 0 0 / 0.06));
}

/* Ocultar scrollbar pero mantener funcionalidad */
body::-webkit-scrollbar {
    display: none;
}
body {
    -ms-overflow-style: none;
    scrollbar-width: none;
}

/* Animación de pulso para el botón de música */
@keyframes custom-ping {
    75%, 100% {
        transform: scale(2);
        opacity: 0;
    }
}
.animate-ping-custom {
    animation: custom-ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;
}
